Name:		python-repoze-what-quickstart
Version:	1.0.9
Release:	17%{?dist}
Summary:	A plugin for a simple authentication system with repoze.who/what
Group:		Development/Languages
License:	BSD
URL:		http://code.gustavonarea.net/repoze.what-pylons/
Source0:	http://pypi.python.org/packages/source/r/repoze.what-quickstart/repoze.what-quickstart-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python2-devel, python2-setuptools
BuildRequires:	python2-repoze-what >= 1.0.3, python2-repoze-who, python2-repoze-who-plugins-sa
BuildRequires:	python2-repoze-what-plugins-sql, python2-nose, python2-coverage

%global _description\
This plugin allows you to take advantage of a rather simple, and usual,\
authentication and authorization setup, in which the users’ data, the groups\
and the permissions used in the application are all stored in a SQLAlchemy\
or Elixir-managed database.\
\
Put simply, it configures repoze.who and repoze.what in one go so that you\
can have an authentication and authorization system working quickly – hence\
the name.

%description %_description

%package -n python2-repoze-what-quickstart
Summary: %summary
Requires:	python2-repoze-what >= 1.0.3
Requires:	python2-repoze-who, python2-repoze-who-plugins-sa, python2-repoze-what-plugins-sql
Requires:	python2-repoze-who-friendlyform
%{?python2_provide:%python2_provide python2-repoze-what-quickstart}

%description -n python2-repoze-what-quickstart %_description

%prep
%setup -q -n repoze.what-quickstart-%{version}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

%check
# Tests broken
# PYTHONPATH=$(pwd) nosetests

%files -n python2-repoze-what-quickstart
%doc README.txt
# Need to own this dir, nothing else in our dep chain does
%{python2_sitelib}/repoze/what/plugins/
%{python2_sitelib}/repoze.what_quickstart*

%changelog
* Mon Jul 23 2018 Tom Callaway <spot@fedoraproject.org> - 1.0.9-17
- fix FTBFS

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 14 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.0.9-15
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.9-13
- Python 2 binary package renamed to python2-repoze-what-quickstart
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.9-10
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Dec 06 2013 Pierre-Yves Chibon <pingou@pingoured>fr - 1.0.9-6
- Change BR from python-setuptools-devel to python-setuptools
  See https://fedoraproject.org/wiki/Changes/Remove_Python-setuptools-devel

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec  2 2011 Tom Callaway <spot@fedoraproject.org> - 1.0.9-1
- update to 1.0.9

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 30 2010 Luke Macken <lmacken@redhat.com> - 1.0.8-1
- Update to 1.0.8

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed May 05 2010 Luke Macken <lmacken@redhat.com> - 1.0.6-1
- Update to 1.0.6

* Sat Sep 12 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0.1-1
- update to 1.0.1, fix typo causing broken deps

* Wed Jul 29 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0-2
- fix summary, file ownership

* Tue May 19 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0-1
- Initial package for Fedora
